Show / Hide Table of Contents

# Class OpenIddictConstants.Claims.Private

##### Inheritance

System.Object
OpenIddictConstants.Claims.Private

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: OpenIddict.Abstractions

###### Assembly: cs.temp.dll.dll

##### Syntax

    public static class Private

### Fields

#### AccessTokenLifetime

##### Declaration

    public const string AccessTokenLifetime = "oi_act_lft"

##### Field Value

Type | Description
--- | ---
System.String |

#### Audience

##### Declaration

    public const string Audience = "oi_aud"

##### Field Value

Type | Description
--- | ---
System.String |

#### AuthorizationCodeLifetime

##### Declaration

    public const string AuthorizationCodeLifetime = "oi_auc_lft"

##### Field Value

Type | Description
--- | ---
System.String |

#### AuthorizationId

##### Declaration

    public const string AuthorizationId = "oi_au_id"

##### Field Value

Type | Description
--- | ---
System.String |

#### ClaimDestinationsMap

##### Declaration

    public const string ClaimDestinationsMap = "oi_cl_dstn"

##### Field Value

Type | Description
--- | ---
System.String |

#### CodeChallenge

##### Declaration

    public const string CodeChallenge = "oi_cd_chlg"

##### Field Value

Type | Description
--- | ---
System.String |

#### CodeChallengeMethod

##### Declaration

    public const string CodeChallengeMethod = "oi_cd_chlg_meth"

##### Field Value

Type | Description
--- | ---
System.String |

#### CreationDate

##### Declaration

    public const string CreationDate = "oi_crt_dt"

##### Field Value

Type | Description
--- | ---
System.String |

#### DeviceCodeId

##### Declaration

    public const string DeviceCodeId = "oi_dvc_id"

##### Field Value

Type | Description
--- | ---
System.String |

#### DeviceCodeLifetime

##### Declaration

    public const string DeviceCodeLifetime = "oi_dvc_lft"

##### Field Value

Type | Description
--- | ---
System.String |

#### ExpirationDate

##### Declaration

    public const string ExpirationDate = "oi_exp_dt"

##### Field Value

Type | Description
--- | ---
System.String |

#### IdentityTokenLifetime

##### Declaration

    public const string IdentityTokenLifetime = "oi_idt_lft"

##### Field Value

Type | Description
--- | ---
System.String |

#### Nonce

##### Declaration

    public const string Nonce = "oi_nce"

##### Field Value

Type | Description
--- | ---
System.String |

#### Presenter

##### Declaration

    public const string Presenter = "oi_prst"

##### Field Value

Type | Description
--- | ---
System.String |

#### RedirectUri

##### Declaration

    public const string RedirectUri = "oi_reduri"

##### Field Value

Type | Description
--- | ---
System.String |

#### RefreshTokenLifetime

##### Declaration

    public const string RefreshTokenLifetime = "oi_reft_lft"

##### Field Value

Type | Description
--- | ---
System.String |

#### Resource

##### Declaration

    public const string Resource = "oi_rsrc"

##### Field Value

Type | Description
--- | ---
System.String |

#### Scope

##### Declaration

    public const string Scope = "oi_scp"

##### Field Value

Type | Description
--- | ---
System.String |

#### TokenId

##### Declaration

    public const string TokenId = "oi_tkn_id"

##### Field Value

Type | Description
--- | ---
System.String |

#### TokenType

##### Declaration

    public const string TokenType = "oi_tkn_typ"

##### Field Value

Type | Description
--- | ---
System.String |

#### UserCodeLifetime

##### Declaration

    public const string UserCodeLifetime = "oi_usrc_lft"

##### Field Value

Type | Description
--- | ---
System.String |